> ## Documentation Index
> Fetch the complete documentation index at: https://docs.windermere.com/llms.txt
> Use this file to discover all available pages before exploring further.

# companies



## OpenAPI

````yaml /windermereapi(1).json get /companies
openapi: 3.0.1
info:
  title: WindermereAPI
  description: ''
  version: '1.0'
servers:
  - url: https://api.windermere.com/v1/api
security:
  - apiKeyHeader: []
  - apiKeyQuery: []
paths:
  /companies:
    get:
      tags:
        - Endpoints
        - Company
      summary: companies
      operationId: companies
      parameters:
        - name: moxi_works_company_id
          in: query
          description: >-
            This is the MoxiWorks Platform ID of the Company. This will be an
            alphanumeric identification string which will be similar to the
            company name.
          schema:
            type: string
        - name: numeric_id
          in: query
          description: >-
            This is the numeric company id that is interchangeable with the
            moxi_works_agent_id in all request scenarios
          schema:
            type: string
        - name: name
          in: query
          description: >-
            This is a human readable name of the company which this Company
            object represents.
          schema:
            type: string
        - name: client_company_id
          in: query
          description: >-
            This is a client-specified identifier of the company which this
            Company object represents, or null if absent.
          schema:
            type: string
        - name: public_partner_attrs
          in: query
          description: Exposed company attributes
          schema:
            type: object
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/companies'
              example:
                - moxi_works_company_id: string
                  name: string
                  numeric_id: string
                  client_company_id: string
                  public_partner_attrs:
                    is_nrt: true
components:
  schemas:
    companies:
      type: array
      items:
        type: object
        properties:
          moxi_works_company_id:
            type: string
          name:
            type: string
          numeric_id:
            type: string
          client_company_id:
            type: string
          public_partner_attrs:
            type: object
            properties:
              is_nrt:
                type: boolean
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      name: x-api-key
      in: header
    apiKeyQuery:
      type: apiKey
      name: api-key
      in: query

````